Bug 435650 - ananconda read file data: Input/output error
ananconda read file data: Input/output error
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-02 20:47 EST by Paul Bickerstaff
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-08 00:12:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Bickerstaff 2008-03-02 20:47:45 EST
Description of problem:

Installation fails in anaconda with following error:

Running anaconda 11.4.0.28, the Fedora system installer - please wait ...
/usr/bin/python: error while loading shared libraries: /lib64/libc.so.6: cannot
read file data: Input/output error
install exited abnormally [1/1]

Version-Release number of selected component (if applicable):

Fedora 9 alpha and anaconda 11.4.0.28


How reproducible:

It happens every time on this computer but is system dependent. The same DVD
behaves differently in another system (with a different version of Pioneer DVD
drive).

Steps to Reproduce:
1. insert x86_64 F9 alpha DVD in Pioneer DVR109 drive and boot
2. select install or upgrade exisiting linux (in graphical mode)
 
Actual results:

anaconda crashes -- see description of problem

Expected results:

The linux installation should proceed correctly.

Additional info:

This computer system has had a history of problems starting with FC6 and
associated with the DVD drive (a Pioneer DVR109). FC5 installed fine. FC6 would
install but it seemed to think the DVD drive was a hard disk. FC7 and F8 would
not install. I have had to use a network install to get F8 onto it. The problems
seem to be getting worse with each release! I am alpha testing F9 to try and get
this problem fixed. Compare also with bug 435647.
Comment 1 Jeremy Katz 2008-03-02 21:14:44 EST
Did you verify the media using mediacheck?
Comment 2 Paul Bickerstaff 2008-03-02 23:02:30 EST
(In reply to comment #1)
> Did you verify the media using mediacheck?

Unlike most Fedora CD/DVDs which offer the user a graphical interface (after 
the driver installs) to check the media, or skip the test, this one does not.

I have tried a boot with linux mediacheck and it reported no problems with the 
media (that I could see). This comment is made based on observations on a 
different system to the one this bug was reported for as that system is 
currently unavailable.

I am sceptical that the problem is with corrupted media as exactly the same 
media in different systems behaves differently (i.e. this particular error does 
not occur with another system). My presumption (possibly wrong) is that the 
error lies in how the DVD is being read rather than what is on the DVD.

I would run a checksum on the iso image but don't see any available at the 
download site.



Comment 3 Andrew Farris 2008-03-29 21:26:43 EDT
The SHA1SUMS are available in the mirror iso directories.  See:
http://mirror.lib.ucdavis.edu/fedora/linux/releases/test/9-Beta/Fedora/x86_64/iso/SHA1SUM

Or,
You can verify the iso image easily using bittorrent.  Place the image in a
known directory, then go to torrent.fedoraproject.org and start downloading the
torrent for that image (it will check the file and tell you if it is not complete).

Comment 4 Bug Zapper 2008-05-14 01:43:56 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Brennan Ashton 2008-06-08 00:12:26 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.